Get Voice
Retrieve detailed information about a specific voice by ID.curl -X GET "https://api.example.com/api/v1/voices/21m00Tcm4TlvDq8ikWAM" \
-H "X-API-Key: your-api-key-here"
const voiceId = '21m00Tcm4TlvDq8ikWAM';
const response = await fetch(`https://api.example.com/api/v1/voices/${voiceId}`, {
method: 'GET',
headers: {
'X-API-Key': 'your-api-key-here'
}
});
const data = await response.json();
import requests
voice_id = '21m00Tcm4TlvDq8ikWAM'
headers = {
'X-API-Key': 'your-api-key-here'
}
response = requests.get(
f'https://api.example.com/api/v1/voices/{voice_id}',
headers=headers
)
data = response.json()
{
"status": {
"code": 200,
"message": "Voice retrieved successfully"
},
"data": {
"voice_id": "21m00Tcm4TlvDq8ikWAM",
"name": "Rachel",
"category": "premade",
"description": "Calm and professional voice",
"gender": "female",
"accent": "american",
"age": "young",
"use_case": "narration"
}
}
